Aria: ArFunctorC< T > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArFunctorC< T > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArFunctorC< T >:

List of all members.

## Detailed Description

### template<class T>
class ArFunctorC< T >

Functor for a member function.

This is a class for member functions. This class contains the knowledge on how to call a member function on a particular instance of a class. This class should be instantiated by code that wishes to pass off a functor to another piece of code.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArFunctorC (T *obj, void(T::*func)(void))
| Constructor - supply function pointer.
| ArFunctorC (T &obj, void(T::*func)(void))
| Constructor - supply function pointer.
| ArFunctorC ()
| Constructor.
virtual void | invoke (void)
| Invokes the functor.
virtual void | setThis (T &obj)
| Set the 'this' pointer.
virtual void | setThis (T *obj)
| Set the 'this' pointer.
virtual | ~ArFunctorC ()
| Destructor.
## Protected Attributes
void(T::* | myFunc )(void)
T * | myObj

## Constructor & Destructor Documentation

template<class T>

ArFunctorC< T >::ArFunctorC | ( | T & | obj,
|  | void(T::*)(void) | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | member function pointer

template<class T>

ArFunctorC< T >::ArFunctorC | ( | T * | obj,
|  | void(T::*)(void) | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | member function pointer

## Member Function Documentation

template<class T>

virtual void ArFunctorC< T >::setThis | ( | T & | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

template<class T>

virtual void ArFunctorC< T >::setThis | ( | T * | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

The documentation for this class was generated from the following file:

- ArFunctor.h